import ExperimentSDK from '../ExperimentSDK';
import { TypeData } from '../types';
/**
 * Context values.
 */
export interface ExperimentSDKContextType<T extends TypeData> {
    /**
     * An instance of the {@link ExperimentSDK}. "null" by default.
     */
    sdkInstance: ExperimentSDK<T> | null;
}
/**
 * Context provider properties.
 * Takes in {@link ExperimentSDKContextType} values, plus the React "children" property
 */
export declare type ExperimentSDKProviderProps<T extends TypeData> = React.PropsWithChildren<ExperimentSDKContextType<T>>;
/**
 * Config object passed into the {@link useTrackIsInSample} hook.
 */
export interface UseTrackIsInSampleConfig<ExperimentViewedProps> {
    experimentName: string;
    shouldFireEvent?: boolean;
    customProperties?: ExperimentViewedProps;
    team?: string;
}
//# sourceMappingURL=types.d.ts.map